# List All Locales for Voices

Retrieves a list of available locales for voices, including their language, label, and locale identifiers.

<Callout icon="📘" theme="info">
  **Note:**

  * Scroll down to the **Response** section below and expand the status code(s) to view the detailed response schema.
  * Refer to the **RESPONSE** section on the right and choose an example to see how the API response appears for each status code.
</Callout>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "heygen-api",
    "version": "4.0.8"
  },
  "servers": [
    {
      "url": "https://api.heygen.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "x-api-key",
        "in": "header",
        "x-default": "<your-api-key>"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v2/voices/locales": {
      "get": {
        "summary": "List All Locales for Voices",
        "description": "Retrieves a list of available locales for voices, including their language, label, and locale identifiers.",
        "operationId": "list-all-locales-for-voices",
        "responses": {
          "200": {
            "description": "Locales retrieved successfully - Expand to view the detailed response schema.",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": {
                      "error": null,
                      "data": {
                        "locales": [
                          {
                            "value": "Afrikaans (South Africa)",
                            "label": "Afrikaans",
                            "language": "Afrikaans",
                            "tag": null,
                            "locale": "af-ZA",
                            "language_code": "af-ZA"
                          },
                          {
                            "value": "English (United States)",
                            "label": "English (US)",
                            "language": "English",
                            "tag": "v2",
                            "locale": "en-US",
                            "language_code": "en-US"
                          },
                          {
                            "value": "Zulu (South Africa)",
                            "label": "Zulu",
                            "language": "Zulu",
                            "tag": null,
                            "locale": "zu-ZA",
                            "language_code": "zu-ZA"
                          }
                        ]
                      }
                    }
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string",
                      "description": "Displays error message when the request fails; null if the request is successful."
                    },
                    "data": {
                      "type": "object",
                      "description": "Contains the list of available locales.",
                      "properties": {
                        "locales": {
                          "type": "array",
                          "description": "List of supported locales for voices.",
                          "items": {
                            "properties": {
                              "value": {
                                "type": "string",
                                "description": "The full, descriptive name of the locale (e.g., \"English (United States)\")."
                              },
                              "label": {
                                "type": "string",
                                "description": "The label or display name of the locale."
                              },
                              "language": {
                                "type": "string",
                                "description": "The base language associated with the locale (e.g., \"English\")."
                              },
                              "tag": {
                                "type": "string",
                                "description": "An optional tag providing additional metadata about the locale. Returns null if no tag is available."
                              },
                              "locale": {
                                "type": "string",
                                "description": "The locale identifier in standard format (e.g., \"pt-BR\", \"en-US\").)"
                              },
                              "language_code": {
                                "type": "string",
                                "description": "The standardized language-country code for the locale (e.g., \"pt-BR\")."
                              }
                            },
                            "type": "object"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```